Introducing the Chargebee CLI

List price ramps

Retrieves a list of price ramps for your site. You can filter the results by attributes such as id, item_price_id, status, and updated_at, and sort them using sort_by.

Only active and archived price ramps are returned by this operation. deleted price ramps are not listed.

Prerequisites & Constraints

  • Price Ramps must be enabled for the site. Contact Chargebee Support to enable them. Until they are enabled, this operation returns API_RESTRICTED.

Sample Request

list price ramps

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/price_ramps

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

sort_by[<sort-order>]
optional, object

Sorts the price ramps based on the specified attribute.

Supported attributes : id, status, updated_at

Supported sort-orders : asc, desc

Filter Params

For operator usages, see the Pagination and Filtering section.
id[<operator>]

Filter price ramps based on their unique ID.

Supported operators : is, is_not, starts_with, in, not_in

Supported operators: is, is_not, starts_with, in, not_in
Example → basic
item_price_id[<operator>]

Filter price ramps based on the item price they are linked to.

Supported operators : is, is_not, starts_with, in, not_in

Supported operators: is, is_not, starts_with, in, not_in
Example → basic
status[<operator>]

Filter price ramps based on their status. Only active and archived price ramps are returned by this operation; deleted price ramps are not listed.

Supported operators : is, is_not, in, not_in

Supported operators: is, is_not, in, not_in
Example → active
updated_at[<operator>]

Filter price ramps based on the timestamp at which they were last updated.

Supported operators : after, before, on, between

Supported operators: after, before, on, between
Example → 1243545465
business_entity_id[<operator>]

Filter price ramps based on the business entity they belong to.

Supported operators : is, is_present

Supported operators: is, is_present
Example → business_entity_id
include_site_level_resources[<operator>]

optional, boolean filter

Default value is true. To exclude site-level resources in specific cases, set this parameter to false. Possible values are : true, false

Supported operators : is

Example → include_site_level_resources[is] = "false"

Supported operators: is

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Price ramp object
Resource object representing price_ramp